/***************************************************************************
 * This file is part of the BF527 doorbell application.                    *
 * Doorbell is a VOIP-based outdoor doorbell that can be run on SIP-based  *
 * telephone systems (PBX).                                                *
 *                                                                         *
 * Copyright (C) 2009,2010 by BerLinux Solutions GmbH                      *
 *                                                                         *
 * This program is free software; you can redistribute it and/or modify it *
 * under the terms of the GNU General Public License as published by the   *
 * Free Software Foundation; either version 2 of the License, or (at your  *
 * option) any later version.                                              *
 *                                                                         *
 * This program is distributed in the hope that it will be useful, but     *
 * WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       *
 * General Public License for more details.                                *
 *                                                                         *
 * You should have received a copy of the GNU General Public License along *
 * with this program; if not, write to the Free Software Foundation, Inc., *
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.           *
 ***************************************************************************/

#include "disko.h"
#include <unistd.h>

void playIntro() {
	
	MMSRootWindow *root1 = new MMSRootWindow("arrow_intro","100%","100%");
	MMSRootWindow *root2 = new MMSRootWindow("disko_intro","100%","100%");
	MMSRootWindow *root3 = new MMSRootWindow("softteam_intro","100%","100%");
	
	usleep(300000);
	
	root1->show();
	sleep(2);
	root1->hide();
	root1->waitUntilHidden();

	root2->show();
	sleep(2);
	root2->hide();
	root2->waitUntilHidden();

	root3->show();
	sleep(2);

	root3->hide();
	root3->waitUntilHidden();
	
	delete root1;
	delete root2;
	delete root3;
}
	
