/***************************************************************************
 * This file is part of the BF527 doorbell application.                    *
 * Doorbell is a VOIP-based outdoor doorbell that can be run on SIP-based  *
 * telephone systems (PBX).                                                *
 *                                                                         *
 * Copyright (C) 2009,2010 by BerLinux Solutions GmbH                      *
 *                                                                         *
 * This program is free software; you can redistribute it and/or modify it *
 * under the terms of the GNU General Public License as published by the   *
 * Free Software Foundation; either version 2 of the License, or (at your  *
 * option) any later version.                                              *
 *                                                                         *
 * This program is distributed in the hope that it will be useful, but     *
 * WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       *
 * General Public License for more details.                                *
 *                                                                         *
 * You should have received a copy of the GNU General Public License along *
 * with this program; if not, write to the Free Software Foundation, Inc., *
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.           *
 ***************************************************************************/

#include "pindialog.h"

PinDialog::PinDialog() :
		Dialog::Dialog(),
		pad1(NULL),
		pad2(NULL),
		pad3(NULL),
		pad4(NULL),
		pad5(NULL),
		pad6(NULL) {
	loadDialog("pad.xml");

	this->pad1 = this->win->searchForWidget("pad1");
	this->pad2 = this->win->searchForWidget("pad2");
	this->pad3 = this->win->searchForWidget("pad3");
	this->pad4 = this->win->searchForWidget("pad4");
	this->pad5 = this->win->searchForWidget("pad5");
	this->pad6 = this->win->searchForWidget("pad6");
}

PinDialog::~PinDialog() {
}

